***************************************************************************
.SUBCKT  IO_buf  d_in pad power p_clamp ground g_clamp enable
***************************************************************************
X1  enable  en_b            power  ground  INVERTER
X2  d_in    en_b    pre_p1  power  ground  NAND2
X3  d_in    enable  pre_n1  power  ground  NOR2
X4  pre_p1  pre_p2          power  ground  INVERTER  mult_p=2  mult_n=2
X5  pre_n1  pre_n2          power  ground  INVERTER  mult_p=2  mult_n=2
X6  pre_p2  pre_p2  gate_p  power  ground  NAND2     mult_p=4  mult_n=2
X7  pre_n2  pre_n2  gate_n  power  ground  NOR2      mult_p=2  mult_n=4
*
Mp  pad gate_p power  p_clamp  PMOS  L=0.800U W=43.40U NRD=0.0897 NRS=0.0737
+                              AS=434.0P AD=217.0P PS=106.8U PD=53.40U
+                              M=12
Mn  pad gate_n ground g_clamp  NMOS  L=0.800U W=43.40U NRD=0.0897 NRS=0.0714
+                              AS=434.0P AD=217.0P PS=106.8U PD=53.40U
+                              M=6
C1  pre_p2  ground  C=0.07pF
C2  pre_n2  ground  C=0.07pF
C3  gate_p  ground  C=0.04pF
C4  gate_n  ground  C=0.03pF
*
R1  pad     rcv_in  R=200
C5  rcv_in  ground  C=0.2pF
X8  rcv_in  rcv_out         power  ground  INVERTER
*
.SUBCKT INVERTER IN OUT POW GRND mult_p=1 mult_n=1 $***********************
Minv1   OUT  IN   POW   POW   PMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                   AS=26.88P AD=26.88P PS=27.20U PD=27.20U
+                                   M=mult_p
Minv2   OUT  IN   GRND  GRND  NMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                   AS=26.88P AD=26.88P PS=27.20U PD=27.20U
+                                   M=mult_n
.ENDS $********************************************************************
*
.SUBCKT NAND2 IN1 IN2 OUT POW GRND mult_p=1 mult_n=1 $*********************
Mnand1  OUT  IN1  POW   POW   PMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                   AS=26.88P AD=13.44P PS=27.20U PD=13.60U
+                                   M=mult_p
Mnand2  OUT  IN2  POW   POW   PMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                   AS=26.88P AD=13.44P PS=27.20U PD=13.60U
+                                   M=mult_p
Mnand3  OUT  IN2  N_N   GRND  NMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                   AS=13.44P AD=26.88P PS=13.60U PD=27.20U
+                                   M=mult_n
Mnand4  N_N  IN1  GRND  GRND  NMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                   AS=26.88P AD=13.44P PS=27.20U PD=13.60U
+                                   M=mult_n
.ENDS $********************************************************************
*
.SUBCKT NOR2 IN1 IN2 OUT POW GRND mult_p=1 mult_n=1 $**********************
Mnor1  P_P  IN1  POW   POW   PMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                  AS=26.88P AD=13.44P PS=27.20U PD=13.60U
+                                  M=mult_p
Mnor2  OUT  IN2  P_P   POW   PMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                  AS=13.44P AD=26.88P PS=13.60U PD=27.20U
+                                  M=mult_p
Mnor3  OUT  IN2  GRND  GRND  NMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                  AS=26.88P AD=13.44P PS=27.20U PD=13.60U
+                                  M=mult_n
Mnor4  OUT  IN1  GRND  GRND  NMOS  L=0.800U W=11.200U NRD=0.0714 NRS=0.0714
+                                  AS=26.88P AD=13.44P PS=27.20U PD=13.60U
+                                  M=mult_n
.ENDS $********************************************************************
***************************************************************************
.ENDS
***************************************************************************
